# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVolume/VolumeUtils.hpp File Reference

`#include <vlVolume/link_config.hpp>`
`#include <vlCore/Image.hpp>`

Go to the source code of this file.

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLVOLUME_EXPORT ref< Image > | vl::genRGBAVolume (const Image *data, const Image *trfunc, const fvec3 &light_dir, bool alpha_from_data=true)
| Generates an RGBA image based on the given data source and transfer function.
VLVOLUME_EXPORT ref< Image > | vl::genRGBAVolume (const Image *data, const Image *trfunc, bool alpha_from_data=true)
| Generates an RGBA image based on the given data source and transfer function.
VLVOLUME_EXPORT ref< Image > | vl::genGradientNormals (const Image *data)
| Generates an image whose RGB components represent the normals computed from the input image gradient packed into 0..1 range.
template<typename data_type , EImageType img_type>
VLVOLUME_EXPORT ref< Image > | vl::genRGBAVolumeT (const Image *data, const Image *trfunc, const fvec3 &light_dir, bool alpha_from_data)
| Internally used.
template<typename data_type , EImageType img_type>
VLVOLUME_EXPORT ref< Image > | vl::genRGBAVolumeT (const Image *data, const Image *trfunc, bool alpha_from_data)
| Internally used.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.